Package org.eclipse.emf.cdo.view

# Interface CDOViewLocksChangedEvent

All Superinterfaces:
  `CDOBranchPoint`, `CDOBranchProvider`, `CDOLockChangeInfo`, `CDOTimeProvider`, `CDOViewEvent`, `org.eclipse.net4j.util.event.IEvent`

public interface CDOViewLocksChangedEvent extends CDOViewEvent, CDOLockChangeInfo
A `view event` fired when `lock changes` are being received from a remote repository. `Lock notifications` must be enabled for this event to be fired.

Since:
  4.1
Author:
  Caspar De Groot
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockChangeInfo

`CDOLockChangeInfo.Operation`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

`INVALID_DATE, UNSPECIFIED_DATE`

## Method Summary

Modifier and Type
Method
Description
`EObject[]`
`getAffectedObjects()`
Get `objects` affected by lock changes.
`CDOView`
`getSender()`
Returns the view that caused the lock changes if this view is local, or `null` if the view was remote.

### Methods inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockChangeInfo

`getAffectedIDs, getBranch, getLockDeltas, getLockOwner, getLockStates, getLockType, getLockTypes, getOperation, getOperations, getTimeStamp, isAdministrative, isInvalidateAll`

### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewEvent

`getSource`

## Method Details

### getSender

CDOView getSender()
Returns the view that caused the lock changes if this view is local, or `null` if the view was remote.

### getAffectedObjects

EObject[] getAffectedObjects()
Get `objects` affected by lock changes.

Since:
  4.4